import { IFloatingFilterParams, FilterChangedEvent } from "ag-grid-community";
import BaseFloatingFilter from "./base-floating-filter";
import { EnumerationTypeCategory } from '../../utils/enumeration-types-helper';
export declare class EnumerationCategoryFloatingFilter extends BaseFloatingFilter {
    private categories;
    private filterValues;
    private category;
    private searchText;
    init(params: IFloatingFilterParams & {
        categories: Array<EnumerationTypeCategory>;
    }): void;
    getEnumerationTypes(): void;
    filterValuesChanged(newVal: boolean, oldVal: boolean): void;
    searchTextChanged(newVal: string, oldVal: string): void;
    onOpenDropDown(): Promise<void>;
    setupContentGui(): string;
    resetFilter(): void;
    onParentModelChanged(parentModel: any, filterChangedEvent?: FilterChangedEvent): void;
    getModelAsString(): string;
    setupContentGuiSideFilter(): string;
}
